package com.liang.common.enums;

/**
 * @author by lgl
 * @date 2024/6/7.
 */
public enum PostInfoEnum {
    BMZR("10", "部门主任"),
    KJBBMZR("8", "科技部部门主任"),
    ZGYLD("7", "主管院领导"),
    YZ("6", "院长"),
    KYJHZZ("5", "科研计划专责"),
    FYZ("2", "副院长"),
    FZR("11", "副主任"),
    KYCGGLZZ("12", "科研成果管理专责"),
    KYFZR("13", "科研负责人"),
    KYDLR("14", "科研代理人"),
    KYZZ("15", "科研专责"),
    XXJSS("16", "信息技术室"),
    KJBZR("17", "科技部主任"),
    KJXMGLZZ1("17", "科技项目管理专责1"),
    KJXMGLZZ2("18", "科技项目管理专责2"),
    KJXMGLZZ3("18", "科技项目管理专责3"),
    KYJHGLZZ("19", "科研计划管理专责"),
    KJXMGLZZ("9", "科技项目管理专责"),
    ;

    private String postCode;
    private String postName;

    PostInfoEnum(String postCode, String postName) {
        this.postCode = postCode;
        this.postName = postName;
    }

    public String postCode() {
        return postCode;
    }

    public String postName() {
        return postName;
    }
}
